COLLECTNEWS(8)

NAME
collectnews - add news articles to Cyrus header files

SYNOPSIS
collectnews [ -C config-file ]

DESCRIPTION
Collectnews reads article data from the standard input. It uses this information to update the files necessary for reading the articles through the Cyrus IMAP server. Collectnews is designed to be used by InterNetNews to update the IMAP database as the articles come in.

The input is processed as an INN overview stream written as a ``WR'' entry in the newsfeeds(5) file. This data consists of lines of text of the format newsgroup/article number, seperated by commas.

Collectnews reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C. The optional newsprefix option specifies a prefix to be prepended to newsgroup names to make the corresponding IMAP mailbox names. The required partition-news option specifies the pathname prefix to the IMAP news mailboxes. The value of partition-news concatenated with the dots-to-slashes-converted value of newsprefix must be the pathname of the news spool directory.

OPTIONS

-C config-file
    Read configuration options from config-file.

FILES

/etc/imapd.conf